Skip to content
This repository

remove registerExtension support (gone since node 0.2) #2441

Closed
benatkin opened this Issue · 0 comments

2 participants

benatkin Jeremy Ashkenas
benatkin

It looks like three lines (including a comment) can be removed from the main coffee-script file, as they are only there to support node 2.x. https://github.com/jashkenas/coffee-script/blob/master/src/coffee-script.coffee#L23

If you search this page for registerExtension you can see where it got removed: http://nodejs.org/changelog.html

BTW people are too often using the register.extensions support in production or in npm modules, by requiring .coffee files directly, instead of requiring the .js files generated by CoffeeScript. The coffee-script documentation doesn't encourage it. In fact it encourages the opposite. Perhaps a warning that the quality of error messages will be reduced should be added, though.

Jeremy Ashkenas jashkenas closed this in c29597b
Benjamin Arthur Lupton balupton referenced this issue in balupton/simple-server
Closed

Removed the prerequisite of coffee-script #2

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.